class Digicode {
	static int[][] transition;

	static void initTransition(String code) {
		transition = new int[code.length()][10];
		
		for (int i=0; i<transition.length; i++)
			for (int j=0; j<transition[0].length; j++) {
				char entree = (char) ('0'+j);
				int taille = i+1;
				boolean valide = false;
				
				while (!valide && (taille > 0)) {
					valide = true;
					if (code.charAt(taille-1) == entree) {
						for (int k=taille-1; k > 0; k--) {
							if (code.charAt(k-1) != code.charAt(i-taille+k))
								valide = false;
						}
					} else {
						valide = false;
					}
					if (!valide)
						taille--;
				}
				transition[i][j] = taille;
			}
	}
	
	public static void main(String[] args) { // Commentaire de fin de ligne
		Lecture entree;
		int etat=0;
		String code = args[0];
		
		if (args.length > 1) {
			entree = new Lecture(args[1]);
		} else {
			entree = new Lecture();
		}

		initTransition(code);
		char b;
		b = entree.lireCaractere();
		while ((b != Lecture.FIN) && (etat < code.length())) {
			if ((b >= '0') && (b <= '9')) {
				etat = transition[etat][b-'0'];
			}
			b = entree.lireCaractere();
		}
		System.out.println("Clic !");
	}

}
