import java.io.PrintStream;

class SuppCom {
	// /* Commentaire en début de ligne
	/* Dans les deux syntaxes et avec parasites /* // */

	public static void main(String[] args) { // Commentaire de fin de ligne
		Lecture entree;
		PrintStream out = System.out;

		final int Normal = 0;
		final int Slash = 1;
		final int CommLong = 2;
		final int Etoile = 3;
		final int CommCourt = 4;

		int etatCourant = Normal;
		int etatSuivant = Normal;

		// Deux types de commentaires :
		// /* démarrant par //
		/* // démarrant par */

		if (args.length > 0) {
			entree = new Lecture(args[0]);
		} else {
			entree = new Lecture();
		}
		if (args.length > 1) /* Commentaire de milieu */ {
			try {
				out = new PrintStream(args[1]);
			} catch (Exception e) {
				System.err.println(e);
			}
		}
		char b;
		b = entree.lireCaractere();
		while (b != Lecture.FIN) {
			switch (etatCourant) {
			case Normal:
				if (b == '/') {
					etatSuivant = Slash;
				} else {
					etatSuivant = Normal;
					out.write(b);
				}
				;
				break;
			case Slash:
				if (b == '/') {
					etatSuivant = CommCourt;
				} else if (b == '*') {
					etatSuivant = CommLong;
				} else {
					etatSuivant = Normal;
					out.write('/');
					out.write(b);
				}
				break;
			case CommLong:
				if (b == '*')
					etatSuivant = Etoile;
				else
					etatSuivant = CommLong;
				break;
			case CommCourt:
				if (b == '\n') {
					etatSuivant = Normal;
					out.write(b);
				}
				break;
			case Etoile:
				if (b == '/')
					etatSuivant = Normal;
				else if (b == '*')
					etatSuivant = Etoile;
				else
					etatSuivant = CommLong;
				break;
			default:
				etatSuivant = etatCourant;
			}
			etatCourant = etatSuivant;
			b = entree.lireCaractere();
		}
	}

}
