
import java.io.PrintStream;

class NumeroterLignes {
    public static void main(String[] args) {
    	Lecture entree;
        PrintStream out = System.out;

        if (args.length > 0) {
        	entree = new Lecture(args[0]);
        } else {
        	entree = new Lecture();
        }
        if (args.length > 1) {
            try {
                out = new PrintStream(args[1]);
            } catch (Exception e) {
                System.err.println(e);
            }
        }
        
        char c;
        int numLigne = 0;
        boolean debutLigne = true;
        
        c = entree.lireCaractere();
        while (c != Lecture.FIN) {
            if (debutLigne) {
                if (c == '\n') {
                    numLigne++;
                    out.print(numLigne + ".");
                    out.println();
                } else {
                    debutLigne = false; // Changement d'état
                    numLigne++;
                    out.print(numLigne + ".");
                    out.print(" ");
                    out.write(c);
                }
            } else {
                if (c == '\n') {
                    out.println();
                    debutLigne = true; /* Pareil */
                } else {
                    out.write(c);
                }
            }
            c = entree.lireCaractere();
        }
    }

}
